- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: aedba066-6fb5-4145-b3a6-efd7c93c5908
    creation_time: 2023-02-17T12:08:09.969563Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 423d93c0-f395-4993-8525-d117c1192c3a
    creation_time: 2023-02-17T12:08:09.969874Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b7a1580e-9832-41a8-a1f4-533b07070036
    creation_time: 2023-02-17T12:08:09.969988Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5abe2e17-8881-4d6d-bf34-d0ac106ca6df
    creation_time: 2023-02-17T12:08:09.970083Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 93f92f0a-aa0a-495c-8a5b-ad40fc47c603
    creation_time: 2023-02-17T12:08:09.970179Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 631dee06-b972-4894-933c-6e3680c9597c
    creation_time: 2023-02-17T12:08:09.970271Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8e0c0cfb-7359-411c-ac13-007c616b9430
    creation_time: 2023-02-17T12:08:09.970379Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound2.c: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound2.c
    file_hash: 29123ed479a06938c1b58bc0ee2ae38219e9e012922d3ca9fba5679eb1736558
    line: 57
    column: 0
    function: main
  location_invariant:
    string:  (  ( longlong ) 4*A )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

